Bug 688042 - avc: denied { write } for pid=438 comm="systemd-readahe"
Summary: avc: denied { write } for pid=438 comm="systemd-readahe"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-16 06:11 UTC by Dagan McGregor
Modified: 2011-03-19 05:54 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.9.16-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-19 05:54:25 UTC


Attachments (Terms of Use)

Description Dagan McGregor 2011-03-16 06:11:58 UTC
Description of problem:
Denied messages appearing in boot log

Version-Release number of selected component (if applicable):
F15 Alpha (installed)

How reproducible:


Steps to Reproduce:
1. Boot F15 Alpha 
2. Check 'dmesg' log
3.
  
Actual results:
Error avc: denied message appears

Expected results:
No denied error messages

Additional info:

[    7.201456] type=1400 audit(1300300096.067:4): avc:  denied  { write } for  pid=438 comm="systemd-readahe" name="kmsg" dev=devtmpfs ino=4354 scontext=system_u:system_r:readahead_t:s0 tcontext=system_u:object_r:kmsg_device_t:s0 tclass=chr_file

[    9.423957] type=1400 audit(1300253298.290:5): avc:  denied  { write } for  pid=439 comm="systemd-readahe" path="/etc/modprobe.d" dev=dm-1 ino=3932166 scontext=system_u:system_r:readahead_t:s0 tcontext=system_u:object_r:modules_conf_t:s0 tclass=dir

[   10.455455] type=1400 audit(1300253299.322:6): avc:  denied  { write } for  pid=439 comm="systemd-readahe" path="/etc/tmpfiles.d" dev=dm-1 ino=3932287 scontext=system_u:system_r:readahead_t:s0 tcontext=system_u:object_r:etc_t:s0 tclass=dir


libselinux-2.0.98-2.fc15.x86_64
selinux-policy-3.9.16-1.fc15.noarch
libselinux-utils-2.0.98-2.fc15.x86_64
libselinux-python-2.0.98-2.fc15.x86_64
selinux-policy-targeted-3.9.16-1.fc15.noarch

Comment 1 Miroslav Grepl 2011-03-16 08:58:53 UTC
Try to test the latest selinux-policy - selinux-policy-3.9.16-4.fc15 which is available from koji for now


http://koji.fedoraproject.org/koji/buildinfo?buildID=233962

Comment 2 Fedora Update System 2011-03-17 15:29:15 UTC
selinux-policy-3.9.16-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-5.fc15

Comment 3 Fedora Update System 2011-03-19 05:53:27 UTC
selinux-policy-3.9.16-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.